NOLOGIN(8)

NAZWA
nologin - grzecznie odmawia zalogowania

SKŁADNIA

nologin [-V] [-h]

OPIS

nologin wyświetla komunikat, że konto nie jest dostępne i wychodzi z niezerowym statusem. Zaprojektowane jako zastępstwo w polu powłoki, do odmawiania dostępu do logowania dla określonego konta.

Jeśli istnieje plik /etc/nologin.txt, to nologin wyświetli jego zawartość użytkownikowi, zamiast domyślnego komunikatu.

Statusem zakończenia, zwracanym przez nologin jest zawsze 1.

OPCJE

-c, --command polecenie

--init-file

-i --interactive

--init-file plik

-i, --interactive

-l, --login

--noprofile

--norc

--posix

--rcfile plik

-r, --restricted

Te opcje wiersza polecenia powłoki są ignorowane, aby uniknąć błędu nologin.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

UWAGI

nologin jest sposobem na wyłączenie możliwości zalogowania dla konkretnych użytkowników (zwykle dla kont systemowych, takich jak http lub ftp). nologin korzysta z pliku /etc/nologin.txt jako opcjonalnego źródła dostosowanego komunikatu, natomiast dostęp do zalogowania się jest zawsze odmawiany, niezależnie od tego pliku.

Moduł PAM pam_nologin(8) zwykle zapobiega logowaniu się do systemu wszystkim użytkownikom innym niż root. Funkcjonalność pam_nologin(8) zależy od pliku /var/run/nologin lub pliku /etc/nologin.

HISTORIA

Polecenie nologin pojawiło się w 4.4BSD.

AUTORZY

ZOBACZ TAKŻE

login(1), passwd(5), pam_nologin(8)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie nologin jest częścią pakietu util-linux, który można pobrać ze strony